Subject: bug#13308: 24.2.91; Crash when minimizing the window

From: "Fabrice Niessen" <[email-masked]>
Date: Sun, 30 Dec 2012 20:51:03 +0100

Hello Eli,

Eli Zaretskii wrote:
>> From: Fabrice Niessen <[email-masked]>
>> Date: Sun, 30 Dec 2012 11:47:04 +0100
>> 
>> I was minimizing my Emacs window when this crash happened.
>
> Is there a repeatable recipe, or at least some instructions as to how
> to try to reproduce this?  I minimize my Emacs frame many times a day,
> and never had any crashes.

Nope. It's the very first time that this sort of crash happened with the
version 24.2.91.

In fact, I was minimizing Emacs while it was tangling an Org file -- now, if
that's somehow related or not to the problem...

>> Thread 1 (Thread 1208.0xff0):
>> #0  0x7c91120f in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/system32/ntdll.dll
>> #1  0x01155973 in emacs_abort () at w32fns.c:7717
>> #2  0x0100145d in terminate_due_to_signal (sig=11, backtrace_limit=40) at emacs.c:344
>> #3  0x01145fdb in handle_fatal_signal (sig=11) at sysdep.c:1638
>> #4  0x01145fb6 in deliver_thread_signal (sig=11, handler=0x1145fc2 <handle_fatal_signal>) at sysdep.c:1614
>> #5  0x0114600f in deliver_fatal_thread_signal (sig=11) at sysdep.c:1650
>> #6  0x010011ea in _gnu_exception_handler@4 ()
>> #7  0x7c864209 in UnhandledExceptionFilter () from /cygdrive/c/WINDOWS/system32/kernel32.dll
>> #8  0x0082c8e4 in ?? ()
>> #9  0x7c84396a in ValidateLocale () from /cygdrive/c/WINDOWS/system32/kernel32.dll
>> #10 0x00000000 in ?? ()
>> (gdb)
>
> This backtrace is useless, sorry.  Was your Emacs produced without
> debug info, per chance?

I'm using the binary of Dani:

GNU Emacs 24.2.91.1 (i386-mingw-nt5.1.2600) of 2012-12-15 on MS-W7-DANI

I don't know how that got produced.

Best regards,
Fabrice